Subject: Re: [PATCH 2.6.26?] Raise the upper limit of NR_CPUS.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 21 Apr 2008 19:24:14 +1000

On Mon, 2008-04-21 at 19:05 +1000, Michael Ellerman wrote:
> 
> Tony, you should NAK Ben tomorrow after lunch if you know what I
> mean :)

Should I hide ? :-)

> > You must NEVER manipulate kernel globals from prom_init.c. The fact
> that
> > prom_init is linked with the kernel is an "accident" which may
> change.
> 
> A very long running accident, we should really look at fixing it some
> time.

Patch welcome :-)

Historically, it used to manipulate some kernel data structures, but we
fixed all of that when we introduced the flat DT model.

> > Your scheme would break among others with kexec or non-OF
> bootloaders
> 
> I talked to Tony about it this morning and we came up with a scheme
> that
> should work for all cases.

Excellent.

Cheers,
Ben.